package com.ruoyi.app.domain;

import java.math.BigDecimal;

public class AppPendingStorageRequest {
    /** 物料号 */
    private String goodsId;

    /** 物料数量 */
    private BigDecimal goodsNum;

    /** 单据号 */
    private String listId;

    /** 单据类型 */
    private Long orderType;

    /** 客户名称 */
    private String customerName;

    /** 物料描述 */
    private String goodsDesc;

    /** 重量 */
    private Double weight;

    /** 尺寸 */
    private Long size;

    /** 单位 */
    private String unit;

    /** 备用一 */
    private String spare1;

    /** 备用二 */
    private String spare2;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public BigDecimal getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(BigDecimal goodsNum) {
        this.goodsNum = goodsNum;
    }

    public String getListId() {
        return listId;
    }

    public void setListId(String listId) {
        this.listId = listId;
    }

    public Long getOrderType() {
        return orderType;
    }

    public void setOrderType(Long orderType) {
        this.orderType = orderType;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getGoodsDesc() {
        return goodsDesc;
    }

    public void setGoodsDesc(String goodsDesc) {
        this.goodsDesc = goodsDesc;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public String getSpare2() {
        return spare2;
    }

    public void setSpare2(String spare2) {
        this.spare2 = spare2;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Override
    public String toString() {
        return "AppPendingStorageRequest{" +
                "goodsId='" + goodsId + '\'' +
                ", goodsNum=" + goodsNum +
                ", listId='" + listId + '\'' +
                ", orderType=" + orderType +
                ", customerName='" + customerName + '\'' +
                ", goodsDesc='" + goodsDesc + '\'' +
                ", weight=" + weight +
                ", size=" + size +
                ", spare1='" + spare1 + '\'' +
                ", spare2='" + spare2 + '\'' +
                '}';
    }

    public AppPendingStorageRequest() {
    }
}
